=== plugins/generic/skg_highlight/CMakeLists.txt ===
#***************************************************************************
#* SPDX-FileCopyrightText: 2024 S. MANKOWSKI stephane@mankowski.fr
#* SPDX-FileCopyrightText: 2024 G. DE BURE support@mankowski.fr
#* SPDX-License-Identifier: GPL-3.0-or-later
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_HIGHLIGHT ::..")

PROJECT(plugin_highlight)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_highlight_SRCS
	skghighlightplugin.cpp)

KCOREADDONS_ADD_PLUGIN(skg_highlight SOURCES ${skg_highlight_SRCS} INSTALL_NAMESPACE "skg_gui")
TARGET_LINK_LIBRARIES(skg_highlight KF6::Parts skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_highlight.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/skg_highlight )
