=== control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Stephane MANKOWSKI <stephane@mankowski.fr>
Build-Depends:  debhelper (>= 9),
                cmake (>= 3.16.0~),
                dh-python,
                pkg-kde-tools (>= 0.15.16), 
                extra-cmake-modules (>= 1.7.0), 
                gettext,
                kross-dev, 
                libsqlite3-dev, 
                libsqlcipher-dev, 
                libofx-dev, 
                libboost-dev, 
                xsltproc,
                pkg-config,
                build-essential,
                devscripts,
                cdbs,
                sqlite3,
                sqlcipher,
                libkf6texttemplate-dev,
                qt6-tools-dev,
                qt6-webengine-dev,
                libkf6coreaddons-dev,
                libkf6wallet-dev,
                libkf6parts-dev,
                libkf6newstuff-dev,
                libkf6iconthemes-dev,
                qt6-declarative-dev,
                qt6-base-dev,
                libkf6notifications-dev,
                qt6-5compat-dev,
                libkf6guiaddons-dev,
                qt6-svg-dev,
                libkf6notifyconfig-dev,
                shared-mime-info, 
                python3:any              
Standards-Version: 3.9.7
Homepage: http://skrooge.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log

Package: skrooge-kf6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 sqlite3, sqlcipher, libqt6sql6-sqlite, kf6-ktexttemplate, xsltproc, skrooge-kf6-common (>= ${source:Version}), kio, kinit, qml-module-qtquick-controls, frameworkintegration, breeze-icon-theme, python3, python3-six, libsaxonb-java
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, AFB120, MT940, GnuCash, Grisbi, HomeBank, Microsoft Money, Money Manager Ex, Sqlite import
  * Automatic download from banks' web site
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Budget
  * Dashboard

Package: skrooge-kf6-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.
